## eole-proxy 2.4.0-70~1.gbp95ad79

=== Makefile ===
################################
# Makefile pour eole-proxy
################################

SOURCE=eole-proxy
VERSION=2.4
EOLE_VERSION=2.4
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

## eole-proxy 2.4.0-59

=== debian/changelog ===
eole-proxy (2.4.0-59) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [07e6998] * dicos/23_proxy.xml : variables liées au proxy authentifié en mode basic
    (Fixes: #7915, 30)
  * [b78497c] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [d550e52] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-58'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 11 Apr 2014 10:56:42 +0200

eole-proxy (2.4.0-58) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ae46cab] Adaptations autour des cache_dir de Squid (Fixes: #6864, 2)
  * [3470f51] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [7d8e00a] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-57'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Apr 2014 11:04:16 +0200

eole-proxy (2.4.0-57) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [f1ddd4c] Déplacement de l'aide associée à "nom_zone_dns_cache"
  * [5561d6a] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [99a9e9c] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-56'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Apr 2014 15:54:20 +0200

eole-proxy (2.4.0-56) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [3458b28] suppression du '.' obligatoire pour nom_zone_dns_cache (fixes #7008)

  [ Joël Cuissinat ]
  * [983cdf9] common-squid2.conf : dict_denied_cache_peer déclaré de façon globale
  * [7da732c] squid_logrotate.sh : mise à niveau 2.4
  * [66fca86] 23_proxy.xml : ports ICP mis à 3130 par défaut
  * [47749b1] Merge branch 'master' into dist/ubuntu/precise/master
  * [44bab66] Création de 24_proxy_parent.xml à partir de 23_proxy.xml
  * [44e7113] Ajout et utilisation de 3 nouvelles variables proxy parent
  * [85114e9] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [ea114e4] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-55'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 01 Apr 2014 14:44:31 +0200

eole-proxy (2.4.0-55) eole-2.4-unstable; urgency=low

  [ Fabrice ]
  * [ee8a913] dansguardian3.conf : remplacement vars dansguardian2-> dansguardian3 fixes #6621 @30m

  [ Joël Cuissinat ]
  * [e090a41] Déclaration du fichier supplémentaire urls_acad
  * [4749cc1] Merge branch '2.3'
  * [0f07244] Ajout de urls_acad dans le posttemplate [2.4]
  * [d3d2cc1] Création de la variable proxy_cachemaster
  * [8bbad4f] Amélioration du calcul de num_dansguardian_instance
  * [fedb484] Merge branch '2.3'
  * [b8f8b9d] Suppression du template obsolète filtre.cgi (Fixes: #7611, 20)
  * [0199c7f] Merge branch '2.3'
  * [8a4fec1] Merge branch 'master' into dist/ubuntu/precise/master

  [ Klaas TJEBBES ]
  * [3b76878] report 2.3 => 2.4 REF #7256
  * [e7bb5f6] Désactivation des suggestions de recherche google
  * [6179b60] Ajout du SafeSearch Youtube FIXES #7256 @30m

  [ EOLE Build Daemon ]
  * [c29ee70] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-54'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 19 Mar 2014 10:33:20 +0100

eole-proxy (2.4.0-54) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [8d704ff] support de la commande status pour le service dansguardian (fixes #6544)

  [ Klaas TJEBBES ]
  * [c1ae957] ajout l'activation forcée de la recherche sécurisée Bing (exclusion contenu "adulte") FIXES #6582

  [ Fabrice ]
  * [83578d8] Passage du proxy en option à wget si déclaré fixes #7154 @1h
  * [00f527b] Maj-blacklist.sh : Remplacement TestService par TestWeb fixes #7154 @2h

 -- Fabrice <fabrice.barconniere@ac-dijon.fr>  Wed, 12 Mar 2014 11:01:31 +0100

eole-proxy (2.4.0-53) eole-2.4-unstable; urgency=low

  * [791ab1d] Utilisation du type "hostname_strict"

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 06 Mar 2014 17:54:15 +0100

eole-proxy (2.4.0-52) eole-2.4-unstable; urgency=low

  * [7b8639b] Oublie de la déclaration de « squid_nopeerproxy_url_regex »
    (Fixes: #7023)

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 30 Jan 2014 10:41:44 +0100

eole-proxy (2.4.0-51) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [55eb3ee] ajouter une question pour autoriser ou non l'utilisation de nopeerproxy de type regex (fixes #7023)

  [ Daniel Dehennin ]

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 30 Jan 2014 10:18:05 +0100

eole-proxy (2.4.0-50) eole-2.4-unstable; urgency=low

  [ Emmanuel Garette ]
  * [e4c6745] ajout de la configuration des ports ICP pour les caches peres(fixes #6989)
  * [40de283] nom_zone_dns_cache est maintenant une string (fixes #7007)
  * [4ced8c1] ajout de la configuration des ports ICP pour les caches peres (fixes #6989)
  * [dc72b11] ajout de la variable type_nom_zone_dns_cache et gestion des ACLs dans un fichier pour nom_zone_dns_cache (fixes #7017)
  * [d35593c] support du round-robin pour les caches pères par zone (fixes #7021)
  * [97e1d0d] support du round-robin pour les caches pères par zone (fixes #7021)
  * [aef24a6] gestion de regex pour les nopeerproxy (fixes #7023)
  * [3d9b8bc] support du round-robin pour les caches pères par zone (fixes #7021)

  [ Garette Emmanuel ]
  * [a54c61a] conversion du .fw en balise (ref #5723)
  * [77430af] lightsquid_port est lié à eole-proxy, pas ead (ref #5723)

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 15 Jan 2014 17:33:08 +0100

eole-proxy (2.4.0-49) eole-2.4-unstable; urgency=low

  [ Emmanuel Garette ]
  * [5c7fe7f] remplacement des index en enumerate (merci supervim) (fixes #6995)

  [ Joël Cuissinat ]
  * [9a3e98f] * dicos/23_proxy.xml : obligatoire => mandatory

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 08 Jan 2014 17:35:41 +0100

eole-proxy (2.4.0-48) eole-2.4-unstable; urgency=low

  [ Emmanuel Garette ]
  * [78b7e6a] test si install_rvp est bien à oui (fixes #6992)

  [ Joël Cuissinat ]

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 08 Jan 2014 15:00:09 +0100



=== debian/control ===
Source: eole-proxy
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-proxy
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-proxy/repository

Package: eole-proxy
Architecture: all
# snmp is called by squid zephir agent
Depends: ${misc:Depends}, eole-amon-backend, lightsquid, snmp, eole-cntlm
Description: Templates et dictionnaires pour le Proxy
 Services proxy et filtrage web basés sur Squid et DansGuardian
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-proxy-scripts
Architecture: all
Depends: ${misc:Depends}
# provides squid2 initscript (#6123)
Description: Scripts à installer dans le conteneur proxy
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-proxy-pkg
Section: metapackages
Architecture: all
# iptables is required in the proxy container
# apache2-utils provides the htpasswd command (#3492)
Depends: ${misc:Depends}, squid3, eole-proxy-scripts, apache2-utils,
 iptables, dansguardian, eole-blacklists, cntlm,
 krb5-admin-server, krb5-clients, samba, winbind
Description: dependency package for eole-proxy
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-proxy 2.4.0-70~1.gbp95ad79

=== debian/changelog ===
eole-proxy (2.4.0-70~1.gbp95ad79) UNRELEASED; urgency=low

  ** SNAPSHOT build @95ad79d8e9b4dddfef62e34a13c7513bda8a5e00 **

  [ Joël Cuissinat ]
  * [6b07697] Ajout de adresse_ip_eth4_proxy_link et des paramètres associés
  * [fb9ef01] Correction boucle infinie sur les vlan et les alias.
    Thanks to tweety (Fixes: #8710, 40)
  * [a81c9af] Merge branch '2.3'
  * [61609e3] Correction vlan et alias pour 2.4.0 (hotfix)

  [ Daniel Dehennin ]
  * [6c9f0fc] Merge branch 'master'
  * [306a90f] Merge branch '2.4.0'
  * [2c33513] Suppression de l’option « --nocontext »
  * [55a166e] Merge branch '2.4.0'

  [ EOLE Build Daemon ]
  * [95ad79d] Daniel Dehennin: Update package since 'debian/eole/2.4/2.4.0-69'

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 26 Aug 2014 11:10:38 +0200

eole-proxy (2.4.0-69) eole-2.4-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4694af0] La migration n'installe pas certains paquets présents avec une fresh install.

  [ Joël Cuissinat ]
  * [b285732] Revert "La migration n'installe pas certains paquets présents avec une fresh install."
  * [eeb0a21] * dicos/23_proxy.xml : corrections orthographiques
  * [1af5c5c] Merge branch '2.3'

  [ Garette Emmanuel ]
  * [a7e0f9d] les règles de firewall sont mals construite (ref #8630)
  * [b4997b4] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [f412a0f] Garette Emmanuel: Update package since 'debian/eole/2.4/2.4.0-68'

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 30 Jul 2014 16:17:49 +0200

eole-proxy (2.4.0-68) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [7e278a4] preservice/00-proxy : ajout de l'option --nocontext à CreoleRun (ref #8631)
  * [27403d8] proxy sur eth0 et non eth9 en mode une carte (fixes #8630) + lightsquid est sur le maitre (fixes #8637)
  * [8b948a8] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [63b0306] Garette Emmanuel: Update package since 'debian/eole/2.4/2.4.0-67'

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 23 Jul 2014 15:08:52 +0200

eole-proxy (2.4.0-67) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [5d40350] ne plus redémarrer dansguardian durant le logrotate (fixes #8600 @1h)
  * [628e084] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [f01c29d] Garette Emmanuel: Update package since 'debian/eole/2.4/2.4.0-66'

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 16 Jul 2014 12:22:32 +0200

eole-proxy (2.4.0-66) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [3b332c5] Services krb5-admin-server et krb5-kdc : start/stoplevel à 18 fixes #8529 @30m
  * [0dd7c6f] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [11dec3b] Fabrice Barconnière: Update package since 'debian/eole/2.4/2.4.0-65'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 Jul 2014 11:45:48 +0200

eole-proxy (2.4.0-65) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [6fe7b98] Services squid3 et squid3-2 : start/stoplevel=30 fixes #8524 @30m
  * [f627de0] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [60e11c2] Fabrice Barconnière: Update package since 'debian/eole/2.4/2.4.0-64'

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 02 Jul 2014 11:28:11 +0200

eole-proxy (2.4.0-64) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [48f1e79] getVar => getattr (fixes #8509 1h)
  * [ddd708e] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [5e0bff2] Garette Emmanuel: Update package since 'debian/eole/2.4/2.4.0-63'

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 30 Jun 2014 16:49:27 +0200

eole-proxy (2.4.0-63) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3ec4221] Correction de l'unité de valeur pour pconn_timeout
  * [eb5f498] Merge branch '2.3'
  * [04f65d0] Merge branch 'hotfix/8099'
  * [3d765b4] dansguardian.conf : typo dans nom de variable calculée

  [ Fabrice ]
  * [bb5aac2] common-squid1.conf : utilisation du bon index pour l'acl rvpdom%%idx fixes #8174 @15m

  [ Garette Emmanuel ]
  * [6067637] proxy_eth0_ip est maintenant du type network et le valid_networknetmask est dans le bon sens (ref #8167 @1h)
  * [f2bebdd] ajout de la variable activer_proxy_eth0 (ref #8167 @30m)
  * [5d50c13] nom_machine_eth0 => nom_machine (fixes #8185 @30m)
  * [995680e] filterip avec l'IP correct du VLAN (fixes #8292)
  * [f9ff7ff] Merge branch 'master' into dist/ubuntu/precise/master

  [ Emmanuel Garette ]
  * [5fbaa82] getVar => getattr (ref #8292)

  [ Puppet_Master ]
  * [7e867ad] eole.mk : Mise à jour pour le support du preservice.
  * [678a9c9] tmpl/dansguardian.conf: Correction d'un nom de variable
  * [8f83580] preservice/00-proxy: Creation du fichier pretemplate/00-proxy: Découpage du script
  * [93d8437] Merge branch 'master' into dist/ubuntu/precise/master

  [ Philippe Caseiro ]
  * [3b22990] preservice/00-proxy: Creation du fichier pretemplate/00-proxy: Découpage du script
  * [b389de7] Merge branch 'master' into dist/ubuntu/precise/master
  * [b3b9b7f] Merge tag 'pkg/eole/eole-2.4/2.4.0-60'

  [ Daniel Dehennin ]
  * [9491583] Merge tag 'pkg/eole/eole-2.4/2.4.0-62'

  [ EOLE Build Daemon ]
  * [b63a7d1] Daniel Dehennin: Update package since 'debian/eole/2.4/2.4.0-62'

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 16 Jun 2014 09:22:26 +0200

eole-proxy (2.4.0-62) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [e27c061] * proxy_eth0_ip est maintenant du type network et le valid_networknetmask est dans le bon sens (ref #8167 @1h) * ajout de la variable activer_proxy_eth0 (ref #8167 @30m)
    (Fixes: #8167, 10, 8185)
  * [67b8989] nom_machine_eth0 => nom_machine (Fixes: #8185, 10, 8185)

  [ EOLE Build Daemon ]
  * [b2a08e1] Joël Cuissinat: Update package since 'debian/eole/2.4/2.4.0-61'

  [ Joël Cuissinat ]



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# Force init script name
override_dh_installinit:
	dh_installinit --no-start -peole-proxy-scripts --name=squid3-2 $@

.PHONY: dh_installinit

## eole-proxy 2.4.0-73

=== debian/changelog ===
eole-proxy (2.4.0-73) eole-2.4.0-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [d4b5939] passer createlistcachefiles à off par défaut (ref #14262 @1h)

  [ Daniel Dehennin ]
  * [cb9771a] Merge branch 'fix-14262'
  * [71b6f0b] Merge branch '2.4.0/master'

  [ EOLE Build Daemon ]
  * [45a6aea] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.0-72”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 10 Feb 2016 11:17:04 +0100

eole-proxy (2.4.0-72) eole-2.4.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [b2adea7] Prise en compte de la politique de filtrage 4
  * [9a29785] Merge branch '2.4.0/master' into dist/eole/2.4.0/master

  [ EOLE Build Daemon ]
  * [cbbf8d1] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.0-71”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Oct 2015 11:26:23 +0200

eole-proxy (2.4.0-71) eole-2.4.0-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [0c50ca9] démarrer les deux instances de dansguardian successivement (et non en même temps) ref #9482
  * [306746d] Merge branch '2.4.0/master' into dist/eole/2.4.0/master

  [ EOLE Build Daemon ]
  * [c12020e] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.0-70”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 30 Mar 2015 14:43:32 +0200

eole-proxy (2.4.0-70) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [6b07697] Ajout de adresse_ip_eth4_proxy_link et des paramètres associés
  * [fb9ef01] Correction boucle infinie sur les vlan et les alias.
    Thanks to tweety (Fixes: #8710, 40)
  * [a81c9af] Merge branch '2.3'
  * [61609e3] Correction vlan et alias pour 2.4.0 (hotfix)

  [ Daniel Dehennin ]
  * [6c9f0fc] Merge branch 'master'
  * [306a90f] Merge branch '2.4.0'
  * [2c33513] Suppression de l’option « --nocontext »
  * [55a166e] Merge branch '2.4.0'

  [ EOLE Build Daemon ]
  * [7260151] Daniel Dehennin: Update package since 'debian/eole/2.4/2.4.0-69'

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 26 Aug 2014 11:17:34 +0200

## eole-proxy 2.4.1-29

=== debian/changelog ===
eole-proxy (2.4.1-29) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [f52b33d] Gestion de la suppression du fichier PID de Dansguardian
  * [e8de4b7] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [2df012c] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-28”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 06 Feb 2015 11:37:50 +0100

eole-proxy (2.4.1-28) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [53761dd] Désactiver e2guardian à l’installation

  [ EOLE Build Daemon ]
  * [4f9eeb5] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.1-27”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 06 Feb 2015 11:30:00 +0100

eole-proxy (2.4.1-27) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [c6e3395] init/dansguardian : on utilise le basename du DAEMON pour DESC
  * [4e3102b] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [9a211aa] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-26”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 05 Feb 2015 15:27:07 +0100

eole-proxy (2.4.1-26) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [9cd24d1] scripts/enregistrement_domaine.sh : correction des CreoleService (fixes #10476 @1h)
  * [416b081] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [b6a91d6] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-25”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 05 Feb 2015 14:11:32 +0100

eole-proxy (2.4.1-25) eole-2.4-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [09bf827] ajout des serveurs de test EOLE dans domaines_noauth et _nocache FIXES #10438
  * [25b6fdc] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [438dd4d] Klaas TJEBBES: Update package since “debian/eole/2.4/2.4.1-24”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Fri, 30 Jan 2015 14:52:52 +0100

eole-proxy (2.4.1-24) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [08200ef] * enregistrement_domaine.sh : correction du test sur la variable "type_squid_auth"
    (Fixes: #10399, 40)
  * [71b7d80] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [99683b3] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-23”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 27 Jan 2015 15:08:04 +0100

eole-proxy (2.4.1-23) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [262e97f] ipset et iptables de gestion-poste pas appliqué dans les conteneurs (fixes #10296 @6h)

  [ EOLE Build Daemon ]
  * [ad3d803] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-22”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 23 Jan 2015 10:25:15 +0100

eole-proxy (2.4.1-22) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [018e57b] support e2guardian pour l'agent Zéphir (ref #10286)
  * [98faadf] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [698c924] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-21”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 21 Jan 2015 11:40:57 +0100

eole-proxy (2.4.1-21) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [7eb7cff] status et reload non fonctionnel (fixes #10282 @2h)
  * [81eb1a1] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [234d40b] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-20”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 21 Jan 2015 10:36:07 +0100

eole-proxy (2.4.1-20) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [25cd4e3] guardian.conf instancié dans conteneur internet + correction syntaxe bash
  * [c6215ed] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [f632501] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-19”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 12 Jan 2015 10:27:57 +0100

eole-proxy (2.4.1-19) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [0160884] Script d'init indépendant de creoled pour éviter d'éventuels problèmes
  * [7188a9a] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [14510ac] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-18”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 09 Jan 2015 15:56:06 +0100

eole-proxy (2.4.1-18) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [127770f] Script init dansguardian arrête le service xxxGuardian non utilisé si lancé
  * [4a0554b] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [1226562] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-17”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 09 Jan 2015 14:24:16 +0100

eole-proxy (2.4.1-17) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [2285168] Modification des fichiers domaines_noauth et domaines_nocache
    (Fixes: #8418, 1)
  * [d1d6078] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [01a030a] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 07 Jan 2015 17:05:20 +0100

eole-proxy (2.4.1-16) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [6d21d2c] typo ref #10091
  * [0435f69] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [7271cf4] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-15”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 07 Jan 2015 14:04:39 +0100

eole-proxy (2.4.1-15) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [f4e1d69] Authentification de IP locales obligatoires pour CNTLM.
  * [02887bd] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -30,10 +30,12 @@
 Section: metapackages
 Architecture: all
 # iptables is required in the proxy container
+# wget is required by the `diagnose` command
 # apache2-utils provides the htpasswd command (#3492)
 Depends: ${misc:Depends}, squid3, eole-proxy-scripts, apache2-utils,
- iptables, dansguardian, eole-blacklists, cntlm,
- krb5-admin-server, krb5-clients, samba, winbind
+ iptables, dansguardian, e2guardian, eole-blacklists, cntlm,
+ krb5-admin-server, krb5-clients, samba, winbind,
+ wget, ipset
 Description: dependency package for eole-proxy
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

## eole-proxy 2.4.1-37

=== debian/changelog ===
eole-proxy (2.4.1-37) eole-2.4.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [fe35ba8] Correction diagnose avec activer_filtrage_proxy='non'
  * [fbe4626] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [d47c770] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-36”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 11 Feb 2016 10:16:43 +0100

eole-proxy (2.4.1-36) eole-2.4.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [d4b5939] passer createlistcachefiles à off par défaut (ref #14262 @1h)

  [ Daniel Dehennin ]
  * [bcc2a5e] Merge branch 'fix-14262' into 2.4.1/master
  * [df41781] Merge branch '2.4.1/master'

  [ EOLE Build Daemon ]
  * [4c8fb33] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.1-35”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 10 Feb 2016 11:17:43 +0100

eole-proxy (2.4.1-35) eole-2.4.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [0c50ca9] démarrer les deux instances de dansguardian successivement (et non en même temps) ref #9482

  [ Joël Cuissinat ]
  * [b2adea7] Prise en compte de la politique de filtrage 4
  * [2314c26] Merge branch '2.4.0/13669-fix-pol4' into 2.4.1/master
  * [1181112] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [4798815] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-34”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Oct 2015 12:07:41 +0200

eole-proxy (2.4.1-34) eole-2.4.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f329bd3] Refactor de diagnose/151-proxy
  * [ab1fe28] Ajout d’un commentaire expliquant pourquoi serveur_maj
  * [7c1b781] Vérifier l’état de dans_1 dans le conteneur
  * [bcd14c6] Ajout du support du mode conteneur à dans_2
  * [fcbe542] Test l'instance de dansguardian sur la 1er carte où cette instance écoute
  * [1a90d16] Mise en commun du code 23_dans1.srv et 23_dans2.srv
  * [072cef9] Correction de l’action status du script d’init
  * [e3cff9f] Différencier le nom de l’action entre dans1 et dans2
  * [0cd8b45] Merge branch 'backport/dansguardian-zephir-agent'
  * [2f26e04] Merge branch '2.4.1/master'

  [ EOLE Build Daemon ]
  * [5e65c4f] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.1-33”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 04 May 2015 11:10:01 +0200

eole-proxy (2.4.1-33) eole-2.4.1-proposed-updates; urgency=low

  [ Klaas TJEBBES ]
  * [89c4629] urlregexplist : modification pour forcer "Safe Search" sur Google en httpS REF #11196

  [ Fabrice Barconnière ]
  * [dbf570c] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [d6be515] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-32”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 14 Apr 2015 16:20:05 +0200

eole-proxy (2.4.1-32) eole-2.4.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [1a3b233] correction du script d'init de dansguardian
  * [de47664] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [24d5fa2] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-31”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 30 Mar 2015 12:23:50 +0200

eole-proxy (2.4.1-31) eole-2.4.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [3fdd5b6] Diagnose : correction de "Nb instances 2" avec e2guardian
    (Fixes: #10966, 30)
  * [b07d337] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [3a17072] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-30”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 24 Mar 2015 10:21:36 +0100

eole-proxy (2.4.1-30) eole-2.4.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [c0972dc] ajout de Provides, Conflicts, Replace de proxy-pkg (ref #10904)

  [ Lionel MORIN ]
  * [486f48e] Ajout du port SSL 6080 pour websokify (ref #10862)
  * [80008fd] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [507bfca] Lionel MORIN: Update package since “debian/eole/2.4/2.4.1-29”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 19 Mar 2015 11:39:52 +0100

## eole-proxy 2.4.2~1-4

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 SOURCE=eole-proxy
 VERSION=2.4
 EOLE_VERSION=2.4
+EOLE_RELEASE=2.4.2-alpha1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-proxy (2.4.2~1-4) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [b14c5bd] ne plus authentifier bp-eole.ac-dijon.fr (domaine utilisé pour le check distant) (ref #11692 @1h)
  * [11ea91d] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [b839287] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.2_1-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 26 Jun 2015 17:30:36 +0200

eole-proxy (2.4.2~1-3) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [46d8c03] la variable revprox_domainname peut être desactivée (ref #12151)
  * [a99822e] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [d5a58f6] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.2_1-2”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 24 Jun 2015 12:22:46 +0200

eole-proxy (2.4.2~1-2) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [eef052d] rediriger la page d'erreur de dansguardian en cas de blocage https (ref #12151 @2h)
  * [dcf9818] le nom de domaine de la zone DNS cache est considéré comme un nom de fichier abusivement (ref #12172 @1h)
  * [324cda9] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [b7af2bb] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.2_1-1”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 24 Jun 2015 11:11:19 +0200

eole-proxy (2.4.2~1-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [fc1c6dc] Preparation pour EOLE 2.4.2-alpha1
  * [773a1f9] Merge tag 'release/2.4.2_1' into dist/eole/2.4.2/master
  * [3bd9e93] Preparation pour EOLE 2.4.2-alpha1

  [ Garette Emmanuel ]
  * [4d43d39] ajout des directives SSL a la conf dansguardian (ref #11647 @2h)
  * [880e9ec] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [0189f26] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-34”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 23 Jun 2015 10:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,9 @@
 Package: eole-proxy-pkg
 Section: metapackages
 Architecture: all
+Provides: proxy-pkg
+Conflicts: proxy-pkg
+Replaces: proxy-pkg
 # iptables is required in the proxy container
 # wget is required by the `diagnose` command
 # apache2-utils provides the htpasswd command (#3492)

## eole-proxy 2.4.2-3

=== debian/changelog ===
eole-proxy (2.4.2-3) eole-2.4.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [6e680dc] Déplacement des statistiques Lightsquid, traitement des répertoires existants
  * [087d291] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [3857d01] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.2-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 10 May 2016 10:11:11 +0200

eole-proxy (2.4.2-2) eole-2.4.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [2922ca7] Nettoyage de /var/log/lightsquid/reports au logrotate de Squid Cherry-pick eole-proxy:commit:9e0060f2 + gestion conflit
  * [422808b] reports dans /var/log/lightsquid/reports cherry-pick eole-proxy:commit:1e92909e + gestion conflit
  * [552392a] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [0ec8c11] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.2-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 21 Mar 2016 16:18:43 +0100

eole-proxy (2.4.2-1) eole-2.4.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2314c26] Merge branch '2.4.0/13669-fix-pol4' into 2.4.1/master
  * [fe35ba8] Correction diagnose avec activer_filtrage_proxy='non'
  * [66c3676] Merge branch '2.4.1/14900-fix-diag-filtrage' into 2.4.2/master
  * [5b87a7c] Merge tag 'release/2.4.2' into dist/eole/2.4.2/master

  [ Daniel Dehennin ]
  * [bcc2a5e] Merge branch 'fix-14262' into 2.4.1/master

  [ EOLE Build Daemon ]
  * [2b990ad] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.2_1-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 11 Feb 2016 10:23:12 +0100

eole-proxy (2.4.2~1-6) eole-2.4.2-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [d4b5939] passer createlistcachefiles à off par défaut (ref #14262 @1h)

  [ Daniel Dehennin ]
  * [ad37d64] Merge branch 'fix-14262' into 2.4.2/master
  * [cd7a32d] Merge branch '2.4.2/master'

  [ EOLE Build Daemon ]
  * [5fff068] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.2_1-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 10 Feb 2016 11:33:15 +0100

eole-proxy (2.4.2~1-5) eole-2.4.2-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [0c50ca9] démarrer les deux instances de dansguardian successivement (et non en même temps) ref #9482

  [ Joël Cuissinat ]
  * [b2adea7] Prise en compte de la politique de filtrage 4
  * [ab317c4] Merge branch '2.4.0/13669-fix-pol4' into 2.4.2/master
  * [ef21675] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [fc7b8a3] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.2_1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 22 Oct 2015 12:33:45 +0200

## eole-proxy 2.5.0-3

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-proxy
-VERSION=2.4
-EOLE_VERSION=2.4
-EOLE_RELEASE=2.4.2-alpha1
+VERSION=2.5
+EOLE_VERSION=2.5
+EOLE_RELEASE=2.5.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-proxy (2.5.0-3) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [6dfb7ec] les valeurs des variables nom_machine_ethX ne doivent pas être identique + nom_machine_eth1 doit être à pedago en mode 2 cartes (ref #12396 @1h)
  * [e02313d] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [90178d9] Garette Emmanuel: Update package since “debian/eole/2.5.0-2”

 -- Garette Emmanuel <egarette@cadoles.com>  Thu, 16 Jul 2015 14:49:03 +0200

eole-proxy (2.5.0-2) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [b14c5bd] ne plus authentifier bp-eole.ac-dijon.fr (domaine utilisé pour le check distant) (ref #11692 @1h)
  * [4957d94] Merge branch '2.4.2/master'
  * [249d398] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [5957f25] Garette Emmanuel: Update package since “debian/eole/2.5.0-1”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 26 Jun 2015 15:50:23 +0200

eole-proxy (2.5.0-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a394792] Publication EOLE 2.5.0
  * [a2f44bc] Merge tag 'release/2.5.0' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [538a402] Daniel Dehennin: Update package since “debian/eole/2.5.0_4-6”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 26 Jun 2015 12:09:39 +0200

eole-proxy (2.5.0~4-6) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [46d8c03] la variable revprox_domainname peut être desactivée (ref #12151)
  * [e137cf1] Merge branch '2.4.2/master'
  * [86be3a6] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [63db7e3] Garette Emmanuel: Update package since “debian/eole/2.5.0_4-5”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 24 Jun 2015 12:23:13 +0200

eole-proxy (2.5.0~4-5) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [dcf9818] le nom de domaine de la zone DNS cache est considéré comme un nom de fichier abusivement (ref #12172 @1h)
  * [53158e0] Merge branch '2.4.2/master'
  * [a38d621] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [b4af28d] Garette Emmanuel: Update package since “debian/eole/2.5.0_4-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 24 Jun 2015 11:11:55 +0200

eole-proxy (2.5.0~4-4) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [cdd9dff] le chemin nginx est différent en 2.5 (ref #12151)
  * [4e95de3] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [ebc0fcf] Garette Emmanuel: Update package since “debian/eole/2.5.0_4-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 23 Jun 2015 12:20:44 +0200

eole-proxy (2.5.0~4-3) eole-2.5-unstable; urgency=low

  [ Garette Emmanuel ]
  * [1a3b233] correction du script d'init de dansguardian
  * [4d43d39] ajout des directives SSL a la conf dansguardian (ref #11647 @2h)
  * [eef052d] rediriger la page d'erreur de dansguardian en cas de blocage https (ref #12151 @2h)
  * [1a6cf6c] Merge branch '2.4.2/master'
  * [6e783e5] Merge branch 'master' into dist/eole/2.5/master

  [ Klaas TJEBBES ]
  * [89c4629] urlregexplist : modification pour forcer "Safe Search" sur Google en httpS REF #11196

  [ Daniel Dehennin ]
  * [f329bd3] Refactor de diagnose/151-proxy
  * [ab1fe28] Ajout d’un commentaire expliquant pourquoi serveur_maj
  * [7c1b781] Vérifier l’état de dans_1 dans le conteneur
  * [bcd14c6] Ajout du support du mode conteneur à dans_2
  * [fcbe542] Test l'instance de dansguardian sur la 1er carte où cette instance écoute
  * [1a90d16] Mise en commun du code 23_dans1.srv et 23_dans2.srv
  * [072cef9] Correction de l’action status du script d’init
  * [e3cff9f] Différencier le nom de l’action entre dans1 et dans2
  * [0cd8b45] Merge branch 'backport/dansguardian-zephir-agent'
  * [3bd9e93] Preparation pour EOLE 2.4.2-alpha1

  [ EOLE Build Daemon ]
  * [4fc5c96] Garette Emmanuel: Update package since “debian/eole/2.5.0_4-2”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 23 Jun 2015 12:17:35 +0200

eole-proxy (2.5.0~4-2) eole-2.5-unstable; urgency=low

  [ Klaas TJEBBES ]
  * [6d9066e] urlregexplist : modification pour forcer "Safe Search" sur Google en httpS REF #11196

  [ Garette Emmanuel ]
  * [68ca85b] Refactor de diagnose/151-proxy :
  * [53201b6] ajoute un commentaire expliquant pourquoi serveur_maj (ref #11369)
  * [eb007a1] lance TCPCHECK dans le conteneur pour vérifier l'état de dans_1 (ref #11452 @1h)
  * [1631b6a] ajout du support du mode conteneur à dans_2 (ref #11451 @1h)
  * [b98bc22] test l'instance de dansguardian sur la 1er carte ou cette instance écoute (ref #11449)
  * [684168b] mise en commun du code 23_dans1.srv et 23_dans2.srv (modulo la valeur de la variable INSTANCE (ref #11450 @1h)
  * [71e56db] dansguardian/init/dansguardian : gestion correct du status (ref #11459 @1h)
  * [2d000ef] nom d'action différente entre dans1 et dans2 (ref #11450)

  [ Joël Cuissinat ]
  * [432c279] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [b0f4719] Joël Cuissinat: Update package since “debian/eole/2.5.0_4-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 08 Jun 2015 16:43:44 +0200

eole-proxy (2.5.0~4-1) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3fdd5b6] Diagnose : correction de "Nb instances 2" avec e2guardian
    (Fixes: #10966, 30)
  * [a412c76] Merge branch '2.4.1/master'
  * [f602dc3] Merge branch 'master' into 2.5/master

  [ Garette Emmanuel ]
  * [a8acb06] relancer une seule instance de dansguardian suite a mise a jour des listes (ref #9482 @2h)
  * [440ffd0] Revert "relancer une seule instance de dansguardian suite a mise a jour des listes (ref #9482 @2h)"
  * [03f0806] correction du script d'init de dansguardian

  [ Daniel Dehennin ]
  * [20231f2] Merge branch '2.5/master'
  * [a88799a] Préparation pour EOLE 2.5
  * [4dba9c5] Merge tag 'release/2.5.0_4'

  [ EOLE Build Daemon ]
  * [d682748] Daniel Dehennin: Update package since “debian/eole/2.5.0_1-7”



=== debian/control ===
--- 
+++ 
@@ -29,16 +29,12 @@
 Package: eole-proxy-pkg
 Section: metapackages
 Architecture: all
-Provides: proxy-pkg
-Conflicts: proxy-pkg
-Replaces: proxy-pkg
 # iptables is required in the proxy container
 # wget is required by the `diagnose` command
 # apache2-utils provides the htpasswd command (#3492)
 Depends: ${misc:Depends}, squid3, eole-proxy-scripts, apache2-utils,
  iptables, dansguardian, e2guardian, eole-blacklists, cntlm,
- krb5-admin-server, krb5-clients, samba, winbind,
- wget, ipset
+ krb5-admin-server, samba, winbind, wget, ipset
 Description: dependency package for eole-proxy
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

## eole-proxy 2.5.1-11

=== debian/changelog ===
eole-proxy (2.5.1-11) eole-2.5.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [5d66103] Correction d'un problème de cohérence des variables à l'import 2.3
  * [0834608] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [cb9ad1e] Joël Cuissinat: Update package since “debian/eole/2.5.1-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 10 Nov 2015 15:46:59 +0100

eole-proxy (2.5.1-10) eole-2.5.1-proposed-updates; urgency=low

  [ Philippe Carre ]
  * [dfca7c5] Correction du bug squid: maximum_objects_size non pris en compte (Ref: #13795)
  * [546e36a] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [42a7e64] Philippe Carre: Update package since “debian/eole/2.5.1-9”

 -- Philippe Carre <philippe.carre@developpement-durable.gouv.fr>  Tue, 03 Nov 2015 11:56:01 +0100

eole-proxy (2.5.1-9) eole-2.5.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [dc14fe8] Création du répertoire de cache s’il n’existe pas
  * [e92d75c] Merge branch '2.5.1/master'

  [ EOLE Build Daemon ]
  * [9648407] Daniel Dehennin: Update package since “debian/eole/2.5.1-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2015 12:08:44 +0100

eole-proxy (2.5.1-8) eole-2.5.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [507e356] Correction de droits pour l'authentification Kerberos
  * [56c1416] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [a82ea2f] Joël Cuissinat: Update package since “debian/eole/2.5.1-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 26 Oct 2015 16:52:50 +0100

eole-proxy (2.5.1-7) eole-2.5.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [0746276] Prise en compte de la politique de filtrage 4
  * [50da147] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [9355e9a] Joël Cuissinat: Update package since “debian/eole/2.5.1-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 20 Oct 2015 11:03:09 +0200

eole-proxy (2.5.1-6) eole-2.5.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [fdd03d2] Ajout de lightSquid à la liste des ports SSL
  * [609ce7f] Merge branch '2.5.1/master'

  [ EOLE Build Daemon ]
  * [b24619f] Daniel Dehennin: Update package since “debian/eole/2.5.1-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 07 Oct 2015 14:29:54 +0200

eole-proxy (2.5.1-5) eole-2.5.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [0cbeb25] forcer la rotation des logs toujours jours pour l'OBSERVATOIRE DES NAVIGATIONS de l'ead (ref #13349 @3h)

  [ Laurent Flori ]
  * [a18791f] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [a82fd0d] Laurent Flori: Update package since “debian/eole/2.5.1-4”

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Mon, 05 Oct 2015 15:39:57 +0200

eole-proxy (2.5.1-4) eole-2.5.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [099589e] Correction du template e2guaridan modérateur
  * [5df8fc3] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [4f1e85d] Philippe Caseiro: Update package since “debian/eole/2.5.1-3”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 30 Sep 2015 14:22:49 +0200

eole-proxy (2.5.1-3) eole-2.5.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [0e3504b] Mise à jour des templates e2guardian pour les pages d'alerte
  * [39db7f5] Merge branch '2.5.1/master' into dist/eole/2.5.1/master

  [ Daniel Dehennin ]
  * [b028de6] Merge tag 'pkg/eole/eole-2.5/2.5.1-2'

  [ EOLE Build Daemon ]
  * [f42a568] Philippe Caseiro: Update package since “debian/eole/2.5.1-2”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Wed, 30 Sep 2015 10:39:57 +0200

eole-proxy (2.5.1-2) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [97c8ce2] Ajout d’une dépendance sur xz-utils pour logrotate

  [ EOLE Build Daemon ]
  * [c462346] Daniel Dehennin: Update package since “debian/eole/2.5.1-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 22 Sep 2015 15:34:59 +0200

eole-proxy (2.5.1-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [16604b5] Release version 2.5.1
  * [5712ddd] Merge tag 'release/2.5.1' into dist/eole/2.5.1/master

  [ EOLE Build Daemon ]
  * [1d9b3f9] Daniel Dehennin: Update package since “debian/eole/2.5.1_1-24”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 21 Sep 2015 10:44:10 +0200

eole-proxy (2.5.1~1-24) eole-2.5-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [c2655ec] guardian.conf : nouvelle option *usecustombannedflash*
  * [1452502] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [a928b36] Fabrice Barconnière: Update package since “debian/eole/2.5.1_1-23”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 18 Sep 2015 10:26:19 +0200

eole-proxy (2.5.1~1-23) eole-2.5-unstable; urgency=low

  [ Joël Cuissinat ]
  * [5a43ac4] Ajout dépendance sur lsof pour le test diagnose

  [ EOLE Build Daemon ]
  * [762cb05] Joël Cuissinat: Update package since “debian/eole/2.5.1_1-22”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Sep 2015 11:08:50 +0200

eole-proxy (2.5.1~1-22) eole-2.5-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [35b0e54] Suppression de références à DansGuardian des les libellés et logrotate
  * [6acec2e] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [3fa13f7] Fabrice Barconnière: Update package since “debian/eole/2.5.1_1-21”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 16 Sep 2015 15:47:13 +0200

eole-proxy (2.5.1~1-21) eole-2.5-unstable; urgency=low

  [ Philippe Caseiro ]
  * [4b97d43] Mise à jour des dépendances pour la version 3.2.0 de e2guardian
  * [71ae561] Migration (3.2.0) Déplacer maxuploadsize  vers les fichiers guardianfX.conf
  * [9a8aba3] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Package: eole-proxy
 Architecture: all
 # snmp is called by squid zephir agent
-Depends: ${misc:Depends}, eole-amon-backend, lightsquid, snmp, eole-cntlm
+Depends: ${misc:Depends}, eole-amon-backend (> 2.5.0) , lightsquid, snmp, eole-cntlm,
+         xz-utils
 Description: Templates et dictionnaires pour le Proxy
  Services proxy et filtrage web basés sur Squid et DansGuardian
  .
@@ -30,11 +31,15 @@
 Section: metapackages
 Architecture: all
 # iptables is required in the proxy container
-# wget is required by the `diagnose` command
+# wget and lsof are required by the `diagnose` command
 # apache2-utils provides the htpasswd command (#3492)
 Depends: ${misc:Depends}, squid3, eole-proxy-scripts, apache2-utils,
- iptables, dansguardian, e2guardian, eole-blacklists, cntlm,
- krb5-admin-server, samba, winbind, wget, ipset
+ iptables, e2guardian (> 3.0.4), eole-blacklists, cntlm,
+ krb5-admin-server, samba, winbind, wget, ipset,
+ lsof
+Provides: dansguardian
+Conflicts: dansguardian
+Replaces: dansguardian
 Description: dependency package for eole-proxy
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.
